%global minorversion 0.8
%global xfceversion 4.16

Name:           xfce4-notifyd
Version:        0.8.2
Release:        1
Summary:        Simple, visually-appealing notification daemon for Xfce
License:        GPLv2
URL:            http://goodies.xfce.org/projects/applications/xfce4-notifyd
Source0:        http://archive.xfce.org/src/apps/%{name}/%{minorversion}/%{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gcc-c++
BuildRequires:  glib2-devel >= 2.42.0
BuildRequires:  gtk3-devel >= 3.20.0
BuildRequires:  libnotify-devel >= 0.7.0
BuildRequires:  libxfce4ui-devel >= %{xfceversion}
BuildRequires:  libxfce4util-devel >= %{xfceversion}
BuildRequires:  xfconf-devel >= %{xfceversion}
BuildRequires:  xfce4-panel-devel >= %{xfceversion}
BuildRequires:  sqlite-devel
BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  systemd

Requires:       dbus
Requires:       hicolor-icon-theme
Provides:       desktop-notification-daemon
Obsoletes:      notification-daemon-xfce <= 0.3.7

%description
Xfce4-notifyd is a simple, visually-appealing notification daemon for Xfce 
that implements the freedesktop.org desktop notifications specification.
Features:
* Themable using the GTK+ theming mechanism
* Visually appealing: rounded corners, shaped windows
* Supports transparency and fade effects

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}-config.desktop
%find_lang %{name}

# remove la file
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%files -f %{name}.lang
%license COPYING
%doc AUTHORS NEWS TODO
%{_bindir}/xfce4-notifyd-config
%{_libdir}/xfce4/notifyd/
%{_libdir}/xfce4/panel/plugins/libnotification-plugin.so
%{_datadir}/applications/xfce4-notifyd-config.desktop
%{_datadir}/themes/Default/xfce-notify-4.0/
%{_datadir}/themes/Smoke/
%{_datadir}/themes/ZOMG-PONIES!/
%{_datadir}/themes/Bright/
%{_datadir}/themes/Retro/
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/xfce4/panel/plugins/notification-plugin.desktop
%{_mandir}/man1/xfce4-notifyd-config.1.*
%{_sysconfdir}/xdg/autostart/%{name}.desktop

%changelog
* Tue Mar 12 2024 misaka00251 <liuxin@iscas.ac.cn> - 0.8.2-1
- Update to 0.8.2

* Mon Jan 09 2023 lin zhang <lin.zhang@turbolinux.com.cn> - 0.6.5-1
- update to 0.6.5

* Mon Jan 02 2023 lin zhang <lin.zhang@turbolinux.com.cn> - 0.6.4-1
- update to 0.6.4

* Mon Jun 20 2022 zhanglin <lin.zhang@turbolinux.com.cn> - 0.6.3-1
- Update to 0.6.3

* Fri Jun 18 2021 zhanglin <lin.zhang@turbolinux.com.cn> - 0.6.2-1
- Update to 0.6.2

* Wed Jul 15 2020 <dillon.chen@turbolinux.com.cn> - 0.6.1-1
- Init package
